Bug 834531 - [abrt] gnome-commander-1.2.8.15-2.fc17: __pthread_mutex_lock: Process /usr/libexec/gnome-commander/gnome-commander was killed by signal 11 (SIGSEGV)
[abrt] gnome-commander-1.2.8.15-2.fc17: __pthread_mutex_lock: Process /usr/li...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-commander (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:4d6aad165d55e397d5b50a50196...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 05:25 EDT by Mrchal
Modified: 2013-08-01 01:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.21 KB, text/plain)
2012-06-22 05:25 EDT, Mrchal
no flags Details
File: maps (54.59 KB, text/plain)
2012-06-22 05:25 EDT, Mrchal
no flags Details
File: dso_list (11.70 KB, text/plain)
2012-06-22 05:25 EDT, Mrchal
no flags Details
File: build_ids (4.52 KB, text/plain)
2012-06-22 05:25 EDT, Mrchal
no flags Details

  None (edit)
Description Mrchal 2012-06-22 05:25:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-commander
comment:        I want to view properites of pdf file
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/gnome-commander/gnome-commander
kernel:         3.4.2-4.fc17.x86_64
pid:            1130
pwd:            /home/michal
time:           Pá 22. červen 2012, 11:22:47 CEST
uid:            1000
username:       michal
xsession_errors: 

backtrace:      Text file, 34002 bytes
build_ids:      Text file, 4633 bytes
dso_list:       Text file, 11982 bytes
maps:           Text file, 55905 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/michal/1

core_backtrace:
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x9b20 pthread_mutex_lock libpthread.so.0 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xfab0f GlobalParams::getUnicodeToUnicode(GooString*) libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xe1e1f GfxCIDFont::GfxCIDFont(XRef*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xe2fcb GfxFont::makeFont(XRef*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xe31af GfxFontDict::GfxFontDict(XRef*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xcabe9 GfxResources::GfxResources(XRef*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xc209c Form::Form(XRef*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xb47d9 Catalog::getForm() libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0xb4a92 Catalog::Catalog(XRef*) libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0x1179b1 PDFDoc::setup(GooString*, libpoppler.so.19 -
:2575710ca5c833e25595afa1a298db1ba27ae6d8 0x117c68 PDFDoc::PDFDoc(GooString*, libpoppler.so.19 -
:940db9eae86771caf8182c50cde9953b1384ecd8 0x9cf7c - [exe] -
:940db9eae86771caf8182c50cde9953b1384ecd8 0x9206e - [exe] -
:940db9eae86771caf8182c50cde9953b1384ecd8 0x50b7c - [exe] -
:940db9eae86771caf8182c50cde9953b1384ecd8 0x4f893 - [exe] -
:940db9eae86771caf8182c50cde9953b1384ecd8 0x5c026 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x2805bc gtk_widget_activate libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x16457d gtk_menu_shell_activate_item libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x16497c - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:940db9eae86771caf8182c50cde9953b1384ecd8 0x1c0aa - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=Michaluv
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/michal/keyring-naKSDt/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-panel-959-Michaluv-gnome-commander-3_TIME47936
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/michal/keyring-naKSDt
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=michal
:SSH_AUTH_SOCK=/run/user/michal/keyring-naKSDt/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/675,unix/unix:/tmp/.ICE-unix/675
:USERNAME=michal
:DESKTOP_SESSION=gnome
:PATH=/usr/libexec/gnome-commander:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/michal/.local/bin:/home/michal/bin
:MAIL=/var/spool/mail/michal
:QT_IM_MODULE=xim
:PWD=/home/michal
:XMODIFIERS=@im=none
:LANG=cs_CZ.utf8
:GDM_LANG=cs_CZ.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/home/michal
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=michal
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-E1GRy9rsrA,guid=6a2a71bcbe2723306ea31b1500000018
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/michal
:XAUTHORITY=/var/run/gdm/auth-for-michal-4n5oLx/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7797                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7797                 7797                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/michal/.xsession-errors
:pos:	438440
:flags:	0102002
:2:/home/michal/.xsession-errors
:pos:	438440
:flags:	0102002
:3:socket:[19836]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:pipe:[19839]
:pos:	0
:flags:	00
:7:pipe:[19839]
:pos:	0
:flags:	04001
:8:socket:[19840]
:pos:	0
:flags:	02000002
:9:socket:[19842]
:pos:	0
:flags:	02004002
:10:socket:[19844]
:pos:	0
:flags:	02004002
:11:socket:[19850]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	04000
:13:/home/michal/Dokumenty/Svitak Miroslav-2002514475-cestovni smlouva.pdf
:pos:	184965
:flags:	0100000

var_log_messages:
:Jun 22 11:22:46 Michaluv kernel: [ 5531.356543] gnome-commander[1130]: segfault at 100 ip 000000395a009b20 sp 00007fff33efc598 error 4 in libpthread-2.15.so[395a000000+16000]
:Jun 22 11:22:47 Michaluv abrt[1777]: Saved core dump of pid 1130 (/usr/libexec/gnome-commander/gnome-commander) to /var/spool/abrt/ccpp-2012-06-22-11:22:47-1130 (20742144 bytes)
Comment 1 Mrchal 2012-06-22 05:25:24 EDT
Created attachment 593674 [details]
File: backtrace
Comment 2 Mrchal 2012-06-22 05:25:27 EDT
Created attachment 593675 [details]
File: maps
Comment 3 Mrchal 2012-06-22 05:25:29 EDT
Created attachment 593676 [details]
File: dso_list
Comment 4 Mrchal 2012-06-22 05:25:31 EDT
Created attachment 593677 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 21:12:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:24:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.